import LoginManager from './LoginManager.js'; // 导入LoginManager模块

// 获取登录表单元素并添加事件监听器处理表单提交
document.getElementById('loginForm').addEventListener('submit', function(event) {
    event.preventDefault(); // 阻止表单的默认提交行为
    const username = document.getElementById('username').value; // 读取用户名
    const password = document.getElementById('password').value; // 读取密码

    const loginManager = new LoginManager('https://example.com/api/login'); // 实例化登录管理器
    loginManager.login(username, password) // 调用登录函数
        .then(data => {
            if (data) {
                console.log('登录成功，接收到的数据:', data); // 登录成功时在控制台输出数据
            }
        })
        .catch(error => {
            console.error('处理登录时发生错误:', error); // 错误处理
        });
});
